Name:		wxcam
Version:	1.1
Release:	%mkrel 5
License:	GPLv3
Group:		Video/Utilities
Summary:	Webcam application
URL:		http://wxcam.sourceforge.net/
Source0:	http://downloads.sourceforge.net/wxcam/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.1-fix-link.patch
Patch1:		wxcam-1.1-automake-1.13.patch
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(mjpegtools)
BuildRequires: pkgconfig(x11)
BuildRequires: xvid-devel
BuildRequires: libv4l-devel
BuildRequires: cimg-devel
BuildRequires:	intltool
BuildRequires:	wxgtku2.8-devel
BuildRequires:	gettext-devel
	
%description
wxCam is a webcam application which supports video recording in an avi
uncompressed and Xvid format, snapshot taking, and some special
commands for philips webcams, so you can also use the program for
astronomy purposes.
It should work on a very large number of devices. 

%prep
%setup -q -n %{name}-%{version}
%apply_patches
autoreconf -fi

%build
%configure2_5x
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_docdir}/%{name}
rm %{buildroot}/usr/doc/%{name}/{AUTHORS,ChangeLog,NEWS}
mv %{buildroot}/usr/doc/%{name}/* %{buildroot}%{_docdir}/%{name}/
rm -rf %{buildroot}/usr/doc/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING INSTALL README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Oct 31 2013 tmb <tmb> 1.1-5.mga4
+ Revision: 548289
- Mageia 4 rebuild

* Mon Jan 14 2013 fwang <fwang> 1.1-4.mga3.tainted
+ Revision: 386394
- add br
- add br
- cleanup patches

* Mon Jan 14 2013 fwang <fwang> 1.1-3.mga3.tainted
+ Revision: 385965
- fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 dams <dams> 1.1-2.mga3.tainted
+ Revision: 327843
- update %%group

* Sun Jul 15 2012 dams <dams> 1.1-1.mga3.tainted
+ Revision: 271012
- add 'gettext-devel' as a 'BuildRequires' (thanks to blino)
- add a patch to fix link (for 32-bit build)
- imported package wxcam

